import type { _MXCallStackTree } from "./MXCallStackTree.js";
import type { _MXDiagnostic } from "./MXDiagnostic.js";
import type { _NSMeasurement } from "../Foundation/NSMeasurement.js";
export declare class _MXAppLaunchDiagnostic extends _MXDiagnostic {
    static alloc(): _MXAppLaunchDiagnostic;
    static new(): _MXAppLaunchDiagnostic;
    init(): _MXAppLaunchDiagnostic;
    /** The application call stack tree associated with the app launch. */
    callStackTree(): _MXCallStackTree;
    /** Total app launch duration. Dimensioned as NSUnitDuration. */
    launchDuration(): _NSMeasurement;
}
